sensorfw: Proximity Class Reference

sensorfw

Public Member Functions | Properties | Friends | List of all members
Proximity Class Reference

QObject facade for ProximityData. More...

`#include <proximity.h>`

Inheritance diagram for Proximity:

## Public Member Functions
| Proximity ()
| Default constructor. More...
| Proximity (const ProximityData &data)
| Constructor. More...
| Proximity (const Proximity &data)
| Copy constructor. More...
const ProximityData & | proximityData () const
| Returns the contained ProximityData. More...
bool | withinProximity () const
| Accessor for proximity status. More...
int | reflectance () const
| Accessor for raw reflectance reading. More...
Proximity & | operator= (const Proximity &origin)
| Assignment operator. More...
bool | operator== (const Proximity &right) const
| Comparison operator. More...
Public Member Functions inherited from Unsigned
| Unsigned ()
| Default constructor. More...
| Unsigned (const TimedUnsigned &unsignedData)
| Constructor. More...
| Unsigned (const Unsigned &data)
| Copy constructor. More...
const TimedUnsigned & | UnsignedData () const
| Returns the contained TimedUnsigned. More...
int | x () const
| Returns the value. More...
Unsigned & | operator= (const Unsigned &origin)
| Assignment operator. More...
bool | operator== (const Unsigned &right) const
| Comparison operator. More...

## Properties
int | reflectance
int | withinProximity
Properties inherited from Unsigned
int | x

## Friends
const QDBusArgument & | operator>> (const QDBusArgument &argument, Proximity &data)
| Unmarshall Proximity data from the D-Bus argument. More...

## Detailed Description

QObject facade for ProximityData.

Definition at line 37 of file proximity.h.

## Constructor & Destructor Documentation

## ◆ Proximity() [1/3]

Proximity::Proximity | ( |  | ) |
| inline

Default constructor.

Definition at line 49 of file proximity.h.

## ◆ Proximity() [2/3]

Proximity::Proximity | ( | const ProximityData & | data | ) |
| inline

Constructor.

Parameters

  data | Source object.

Definition at line 56 of file proximity.h.

## ◆ Proximity() [3/3]

Proximity::Proximity | ( | const Proximity & | data | ) |
| inline

Copy constructor.

Parameters

  data | Source object.

Definition at line 66 of file proximity.h.

## Member Function Documentation

## ◆ operator=()

Proximity & Proximity::operator= | ( | const Proximity & | origin | ) |
| inline

Assignment operator.

Parameters

  origin | Source object for assigment.

Definition at line 95 of file proximity.h.

## ◆ operator==()

bool Proximity::operator== | ( | const Proximity & | right | ) | const
| inline

Comparison operator.

Parameters

  right | Object to compare to.

Returns
  comparison result.

Definition at line 107 of file proximity.h.

## ◆ proximityData()

const ProximityData & Proximity::proximityData | ( |  | ) | const
| inline

Returns the contained ProximityData.

Returns
  Contained ProximityData

Definition at line 74 of file proximity.h.

## ◆ reflectance()

int Proximity::reflectance | ( |  | ) | const
| inline

Accessor for raw reflectance reading.

Returns
  proximity reflectance reading.

Definition at line 88 of file proximity.h.

## ◆ withinProximity()

bool Proximity::withinProximity | ( |  | ) | const
| inline

Accessor for proximity status.

Returns
  is an object in proximity of sensor or not

Definition at line 81 of file proximity.h.

## Friends And Related Function Documentation

## ◆ operator>>

const QDBusArgument & operator>> | ( | const QDBusArgument & | argument,
|  | Proximity & | data
| ) |  |
| friend

Unmarshall Proximity data from the D-Bus argument.

Parameters

  argument | dbus argument.
  data | unmarshalled data.

Returns
  dbus argument.

Definition at line 145 of file proximity.h.

## Property Documentation

## ◆ reflectance

int Proximity::reflectance
| read

Definition at line 145 of file proximity.h.

## ◆ withinProximity

int Proximity::withinProximity
| read

Definition at line 145 of file proximity.h.

The documentation for this class was generated from the following file:

- datatypes/proximity.h